REM --- created by M. Kipp ---

@echo off
cls

echo This batch file uses xc3sprog to programme the miniLA-CPLD via the FT2232.
echo.
echo Visit the xc3sprog project page at "http://sourceforge.net/projects/xc3sprog".
echo For further information read the included "programme_miniLA_README.txt".
echo.
echo.

:start
echo Which firmware would you like to programme?
echo 1. Stateanalysis 2.2
echo 2. Timeanalysis 1.7 20MHz
echo 3. Timeanalysis 1.7 40MHz
echo 4. Timeanalysis 1.7 80MHz
echo 5. Timeanalysis 1.7 100MHz
echo x. Exit
echo.

set input=
set /p input=Insert the corresponding number: 
echo.

REM if not "%input%" == "" set input=%input:~0,1%
if "%input%" == "1" goto label1
if "%input%" == "2" goto label2
if "%input%" == "3" goto label3
if "%input%" == "4" goto label4
if "%input%" == "5" goto label5
if "%input%" == "x" goto end
if "%input%" == "X" goto end

cls
echo "%input%" is not valid. Try again.
echo.
goto start

:label1
xc3sprog -c ftdi -v miniLA_state2.2.jed
goto preend

:label2
xc3sprog -c ftdi -v miniLA_time1.7_20mhz.jed
goto preend

:label3
xc3sprog -c ftdi -v miniLA_time1.7_40mhz.jed
goto preend

:label4
xc3sprog -c ftdi -v miniLA_time1.7_80mhz.jed
goto preend

:label5
xc3sprog -c ftdi -v miniLA_time1.7_100mhz.jed
goto preend

:preend
echo.
set /p input=Press "m" to return to the menu and exit by pressing any other key: 
cls
if "%input%" == "m" goto start
if "%input%" == "M" goto start

:end